com.rscja.team.qcom.socket

## Class SocketManageA4

- java.lang.Object
- - com.rscja.team.qcom.socket.SocketManageA4

-     public class SocketManageA4
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `UHFProtocolParseUrAxBase_qcom` | `uhfProtocolParse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketManageA4()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanReceiveData()`
    `boolean` | `close()`
    `boolean` | `connect(java.lang.String ipString, int port, boolean autoCheckConnectStatus)`
    `ConnectionStatus` | `getConnectStatus()`
    `UHFUrAxDataHandle` | `getUHFUrAxDataHandle()`
    `byte[]` | `receiveData()`
    `UHFDataHandleBase.CMDInfo` | `receiveGPIOData()`
    `UHFDataHandleBase.CMDInfo` | `receiveTagData()`
    `boolean` | `send(byte[] sendData)`
    `UHFDataHandleBase.CMDInfo` | `sendAndReceive(byte[] sendData)`
    `UHFDataHandleBase.CMDInfo` | `sendAndReceive(byte[] sendData, int controlWord)`
    `UHFDataHandleBase.CMDInfo` | `sendAndReceive(byte[] sendData, int controlWord, int timeOut)`
    `void` | `setCheckGPIO(boolean isCheckGPIO)`
    `void` | `setConnectionStatusChangedListener(IConnectionStatusChangedListener connectionStatusChanged)`
    `void` | `setParse(boolean isParse)`
    `void` | `update(ConnectionStatus status)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uhfProtocolParse

          public UHFProtocolParseUrAxBase_qcom uhfProtocolParse

  - ### Constructor Detail

    - #### SocketManageA4

          public SocketManageA4()

  - ### Method Detail

    - #### setConnectionStatusChangedListener

          public void setConnectionStatusChangedListener(IConnectionStatusChangedListener connectionStatusChanged)

    - #### update

          public void update(ConnectionStatus status)

    - #### setCheckGPIO

          public void setCheckGPIO(boolean isCheckGPIO)

    - #### setParse

          public void setParse(boolean isParse)

    - #### getConnectStatus

          public ConnectionStatus getConnectStatus()

    - #### connect

          public boolean connect(java.lang.String ipString,
                                 int port,
                                 boolean autoCheckConnectStatus)

    - #### close

          public boolean close()

    - #### send

          public boolean send(byte[] sendData)

    - #### sendAndReceive

          public UHFDataHandleBase.CMDInfo sendAndReceive(byte[] sendData)

    - #### sendAndReceive

          public UHFDataHandleBase.CMDInfo sendAndReceive(byte[] sendData,
                                                          int controlWord)

    - #### sendAndReceive

          public UHFDataHandleBase.CMDInfo sendAndReceive(byte[] sendData,
                                                          int controlWord,
                                                          int timeOut)

    - #### receiveGPIOData

          public UHFDataHandleBase.CMDInfo receiveGPIOData()

    - #### receiveTagData

          public UHFDataHandleBase.CMDInfo receiveTagData()

    - #### cleanReceiveData

          public void cleanReceiveData()

    - #### receiveData

          public byte[] receiveData()

    - #### getUHFUrAxDataHandle

          public UHFUrAxDataHandle getUHFUrAxDataHandle()